package gov.va.med.esr.common.builder.entity;

import gov.va.med.esr.common.model.ee.Activation;

/**
 * 
 * @author DNS   ruizc
 *
 */
public interface ActivationMetaData {
	public Activation getEntity();
	public void setEntity(Activation entity);
	
	public String getActivationBeginDate();
	public String getActivationEndDate();
	public String getDataSource();
	public String getSpecialOperation();
	public String getTerminationReason();
	public DeploymentMetaData[] getDeployments();
	public String getNamedContingency();
}
